/*
 * Android.c
 *
 *  Created on: 2024516
 *      Author: 34509
 */
#include "Android.h"

#define open PIN_HIGH
#define close PIN_LOW

void android_PowerCtrl_Init(void)
{
    rt_pin_mode(android_PowerCtrl_Pin, PIN_MODE_OUTPUT);
    android_PowerCtrl_Open();
}
void android_PowerCtrl_Open(void)
{
    rt_pin_write(android_PowerCtrl_Pin, open);
}
void android_PowerCtrl_Close(void)
{
    rt_pin_write(android_PowerCtrl_Pin, close);
}

void android_PowerKey_Init(void)
{
    rt_pin_mode(android_PowerKey_Pin, PIN_MODE_OUTPUT);
}

void android_PowerKey_Rest(void)
{
    rt_pin_write(android_PowerKey_Pin, PIN_LOW);
    rt_thread_mdelay(10000);
    rt_pin_write(android_PowerKey_Pin, PIN_HIGH);
}



