/*
 * inflash.h
 *
 *  Created on: 2024624
 *      Author: psx
 */

#ifndef APP_INC_INFLASH_H_
#define APP_INC_INFLASH_H_

#include "debug.h"
#include "communication_protocol.h"

#pragma pack(push,1)
typedef struct _config_info{
    uint8_t  start_Flag[2];         /* ʼ־  */
    uint8_t  address[7];            /* ַ */
    uint8_t  end_Flag;              /* ־ */
    SL_Head_pack headPack;          /* ͷ */
    SL_Tail_pack tailPack;          /* ͷ */
}config_info;
#define CONFIG_INFO_SIZE    (sizeof(config_info))
#pragma pack(pop)

extern config_info g_slConfigInfo;

#define FLASH_SAVE_ADDR_BEGIN   (0x00)
#define FLASH_SAVE_ADDR_END     (0x00 + CONFIG_INFO_SIZE)

void save_config_info(config_info save_config_info);
uint8_t read_config_info(void);


#endif /* APP_INC_INFLASH_H_ */
